Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 156661 Details for
Bug 243582
ifcfg does not support /32 peers
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
Fix
ifup-eth.diff (text/plain), 629 bytes, created by
Jan Engelhardt
on 2007-06-10 04:54:13 UTC
(
hide
)
Description:
Fix
Filename:
MIME Type:
Creator:
Jan Engelhardt
Created:
2007-06-10 04:54:13 UTC
Size:
629 bytes
patch
obsolete
>--- ifup-eth.old 2007-06-10 06:53:44.425045851 +0200 >+++ ifup-eth.new 2007-06-10 06:53:44.405045551 +0200 >@@ -246,8 +246,12 @@ else > echo $"Error, some other host already uses address ${IPADDR}." > exit 1 > fi >- if ! ip addr add ${IPADDR}/${PREFIX} \ >- brd ${BROADCAST:-+} dev ${REALDEVICE} ${SCOPE} label ${DEVICE}; then >+ if [ -n "$REMOTE_IPADDR" ]; then >+ ip addr add $IPADDR/$PREFIX peer $REMOTE_IPADDR dev $REALDEVICE $SCOPE; >+ else >+ ip addr add $IPADDR/$PREFIX brd $BROADCAST dev $REALDEVICE $SCOPE; >+ fi; >+ if [ $? -ne 0 ]; then > echo $"Error adding address ${IPADDR} for ${DEVICE}." > fi > fi
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 243582
: 156661